import request from '@/utils/request'


export function getAllBusiSchools(query) {
  return request({
    url: '/voluntary/busiSchools/getAllBusiSchools',
    method: 'get',
    params: query
  })
}

// 查询学校列表
export function listBusiSchools(query) {
  return request({
    url: '/voluntary/busiSchools/list',
    method: 'get',
    params: query
  })
}

// 查询学校详细
export function getBusiSchools(id) {
  return request({
    url: '/voluntary/busiSchools/' + id,
    method: 'get'
  })
}

// 新增学校
export function addBusiSchools(data) {
  return request({
    url: '/voluntary/busiSchools',
    method: 'post',
    data: data
  })
}

// 修改学校
export function updateBusiSchools(data) {
  return request({
    url: '/voluntary/busiSchools',
    method: 'put',
    data: data
  })
}

// 删除学校
export function delBusiSchools(id) {
  return request({
    url: '/voluntary/busiSchools/' + id,
    method: 'delete'
  })
}


export function listBusiSchools2(query) {
  return request({
    url: '/voluntary/busiSchools/list2',
    method: 'get',
    params: query
  })
}

export function getAreaSchoolsByAgentId(query) {
  return request({
    url: '/voluntary/busiSchools/getAreaSchoolsByAgentId',
    method: 'get',
    params: query
  })
}
